<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$advertisement = new adt();
$doc = new document(5);
$doc -> title = 'Статистика по рекламе';


if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
header('Refresh: 1; url=adt.settings.php');
$doc->ret('Реклама и баннеры','adt.settings.php');
$doc->ret('Админка','/dpanel/');
$doc->err('Ошибка выбора рекламы');
exit;
}
$id_adt=(int)$_GET['id'];

$q=mysql_query("SELECT * FROM `advertising` WHERE `id` = '$id_adt'");

if (!mysql_num_rows($q))
{
header('Refresh: 1; url=adt.settings.php?id='.$id_adt);
$doc->ret('Вернуться','adt.settings.php?id='.$id_adt);
$doc->ret('Реклама и баннеры','adt.settings.php');
$doc->ret('Админка','/dpanel/');
$doc->err('Рекламная позиция не найдена');
exit;
}



$adt=mysql_fetch_assoc($q);







echo "Название: ".for_value($adt['name'])."<br />\n";

if ($adt['time_create'])echo "Позиция создана: ".vremja($adt['time_create'])."<br />\n";


if (!$adt['time_start'])
echo "Начало показа неизвестно<br />\n";
elseif ($adt['time_start']>TIME)
echo "<b>Начало показа</b>: ".vremja($adt['time_start'])."<br />\n";
else
echo "Показ начался: ".vremja($adt['time_start'])."<br />\n";


if (!$adt['time_end'])
echo "Конец показа не обозначен<br />\n";
elseif ($adt['time_end']>TIME)
echo "Конец показа: ".vremja($adt['time_end'])."<br />\n";
else
echo "<b>Показ истек</b>: ".vremja($adt['time_end'])."<br />\n";

echo "<b>Показы</b> (с времени запуска)<br />\n";
echo "WAP: $adt[count_show_wap]<br />\n";
echo "PDA: $adt[count_show_pda]<br />\n";
echo "WEB: $adt[count_show_web]<br />\n";

echo "<b>Переходы</b> (с времени запуска)<br />\n";
echo "WAP: $adt[count_out_wap]<br />\n";
echo "PDA: $adt[count_out_pda]<br />\n";
echo "WEB: $adt[count_out_web]<br />\n";


$doc->ret('Вернуться',"adt.settings.php?id=$adt[space]");
$doc->ret('Рекламные площадки','adt.settings.php');
$doc->ret('Админка','/dpanel/');
?>
